
CREATE TABLE COMPONENT ( 
	COMP_ID NUMBER(18) NOT NULL,
    ID varchar2(255) NOT NULL,
	TYPE VARCHAR2(50) NOT NULL,
	DSD_ID NUMBER(18) NOT NULL,
	CON_ID NUMBER(18) NOT NULL,
	CL_ID NUMBER(18),
    CON_SCH_ID NUMBER(18) NULL,
	IS_FREQ_DIM NUMBER(3),
	IS_MEASURE_DIM NUMBER(3),
	ATT_ASS_LEVEL VARCHAR2(11),
	ATT_STATUS VARCHAR2(11),
	ATT_IS_TIME_FORMAT NUMBER(3),
	XS_ATTLEVEL_DS NUMBER(3),
	XS_ATTLEVEL_GROUP NUMBER(3),
	XS_ATTLEVEL_SECTION NUMBER(3),
	XS_ATTLEVEL_OBS NUMBER(3),
	XS_MEASURE_CODE VARCHAR2(50)
)
;

ALTER TABLE COMPONENT ADD CONSTRAINT PK_COMPONENT 
	PRIMARY KEY (COMP_ID)
;
